package com.muyu.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.server.service.SysCarLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/sysCarLog")
public class SysCarLogController {
    @Autowired
    private SysCarLogService sysCarLogService;


    @GetMapping("/selectList")
    public Result selectList(){
        return Result.success(sysCarLogService.selectList());
    }

    @GetMapping("/selectList/{id}")
    public Result selectById(@PathVariable("id") Long id){
        return Result.success(sysCarLogService.selectById(id));
    }


}
